Bug 1853049 (golang-uber-config) - Review Request: golang-uber-config - Configuration for Go applications
Summary: Review Request: golang-uber-config - Configuration for Go applications
Keywords:
Status: CLOSED ERRATA
Alias: golang-uber-config
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: golang-github-uber-athenadriver
TreeView+ depends on / blocked
 
Reported: 2020-07-01 19:42 UTC by Robert-André Mauchin 🐧
Modified: 2020-07-13 00:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-03 17:33:27 UTC
Type: ---
mail: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2020-07-01 19:42:36 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-uber-config.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-uber-config-1.4.0-1.fc33.src.rpm

Description:
 Configuration for Go applications.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 🐧 2020-07-01 19:53:59 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=46440557

Comment 2 Fabian Affolter 2020-07-02 07:43:17 UTC
Package APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1853049-golang-uber-
     config/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/go.uber.org(golang-uber-atomic-devel, golang-
     uber-ratelimit-devel, golang-uber-zap-devel, golang-uber-multierr-
     devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-uber-config-devel-1.4.0-1.fc33.noarch.rpm
          golang-uber-config-1.4.0-1.fc33.src.rpm
golang-uber-config-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/go.uber.org/config/.goipath
golang-uber-config.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
golang-uber-config-devel.noarch: W: invalid-url URL: https://github.com/uber-go/config <urlopen error [Errno -2] Name or service not known>
golang-uber-config-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/go.uber.org/config/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/uber-go/config/archive/v1.4.0/config-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : a9b6d9f10c3aa329ae8df0ab175fa7552a02005f38f233b4bf24b7431e172b6d
  CHECKSUM(SHA256) upstream package : a9b6d9f10c3aa329ae8df0ab175fa7552a02005f38f233b4bf24b7431e172b6d


Requires
--------
golang-uber-config-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(go.uber.org/multierr)
    golang(golang.org/x/text/transform)
    golang(gopkg.in/yaml.v2)



Provides
--------
golang-uber-config-devel:
    golang(go.uber.org/config)
    golang(go.uber.org/config/internal/merge)
    golang(go.uber.org/config/internal/unreachable)
    golang-ipath(go.uber.org/config)
    golang-uber-config-devel



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1853049
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Perl, Java, C/C++, Python, R, Ocaml, PHP, Haskell, fonts, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Robert-André Mauchin 🐧 2020-07-02 15:45:14 UTC
Thanks for all the reviews! Let me know if you need any!

Comment 4 Gwyn Ciesla 2020-07-02 18:40:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-uber-config

Comment 5 Fedora Update System 2020-07-03 17:31:46 UTC
FEDORA-2020-96c1594f36 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-96c1594f36

Comment 6 Fedora Update System 2020-07-03 17:32:24 UTC
FEDORA-2020-5215d24ab3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5215d24ab3

Comment 7 Fedora Update System 2020-07-04 01:05:51 UTC
FEDORA-2020-5215d24ab3 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5215d24ab3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5215d24ab3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-07-04 01:06:37 UTC
FEDORA-2020-96c1594f36 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-96c1594f36 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-96c1594f36

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-07-12 01:00:47 UTC
FEDORA-2020-96c1594f36 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-07-13 00:27:50 UTC
FEDORA-2020-5215d24ab3 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.